#!/usr/bin/env php
<?php

function line($line) {
    echo $line . PHP_EOL;
}

function run($command) {
    line("> $command");
    exec($command, $output, $return);
    foreach ($output as $line)
        line($line);
    return $return === 0;
}

$repository = 'git@git.bluesquare.io:bluesquare/cli.git';
$home = $_SERVER['HOME'] ?? ($_SERVER['HOMEPATH'] ?? $_SERVER['HOMEDRIVE']);
$dir = __DIR__;

line("Répertoire utilisateur détecté : $home");

if (is_dir("$home/.bcli")) {
    line("Le dossier $home/.bcli existe déjà.");
    exit(1);
}

if (!run("cd $home && git clone $repository .bcli"))
    exit(1);

if (!run("cd $home/.bcli && composer install"))
    exit(1);

$source = file_exists("$home/.zshrc") ? "$home/.zshrc" : "$home/.bashrc";
$contents = file_exists($source) ? file_get_contents($source) : "";

if (strpos($contents, ".bcli/bin") === false) {
    line("----------------------------------------------------");
    line("----------------------------------------------------");
    line("Pour pouvoir utiliser la commande `bcli` :");
    line("echo 'export PATH=\"$home/.bcli/bin:\$PATH\"' >> $source");
    line("source $source");
    line("----------------------------------------------------");
}

exit(0);
